Difference between revisions of "Installation on Ubuntu"

From Linux-VServer

Jump to: navigation, search
(Known Limitations)
(+cat)
(5 intermediate revisions by 3 users not shown)
Line 8: Line 8:
 
If you are interested in a different kernel config or have prepared a patch for newer kernels, do not hesitate to contact the VServer [http://list.linux-vserver.org/ mailinglist].
 
If you are interested in a different kernel config or have prepared a patch for newer kernels, do not hesitate to contact the VServer [http://list.linux-vserver.org/ mailinglist].
  
== Jaunty ==
+
== Lucid ==
Jaunty ships with kernel version 2.6.28. As of now (28.3.2009) there are only experimental patches available for this kernel version.  
+
Kernel Version: 2.6.32
 +
 
 +
Vserver patch: 2.3.0.36.29.4
 +
 
 +
Status: experimental
 +
 
 +
=== Known Limitations ===
 +
* linux-image
 +
** CONFIG_AUFS has been disabled
  
I have adapted version 2.3.0.36.9 of the vserver patch to the Jaunty kernel sources. These images should be considered '''experimental'''.
+
== Karmic ==
 +
Kernel Version: 2.6.31
  
=== Packages ===
+
Vserver patch: 2.3.0.36.19
The following packages are available for i386 and amd64:
+
  
* linux-headers-2.6.28-11-vserver
+
Status: experimental
* linux-headers-vserver
+
 
* linux-image-2.6.28-11-vserver
+
=== Known Limitations ===
* linux-image-vserver
+
* linux-image
* linux-restricted-modules-2.6.28-11-vserver
+
** CONFIG_AUFS has been disabled
* linux-restricted-modules-vserver
+
 
* linux-vserver
+
== Jaunty ==
 +
Kernel Version: 2.6.28
 +
 
 +
Vserver patch: 2.3.0.36.9
 +
 
 +
Status: experimental
  
 
=== Known Limitations ===
 
=== Known Limitations ===
Line 33: Line 46:
 
  dkms install -m <modulename> -v <moduleversion> -k 2.6.28-11-vserver
 
  dkms install -m <modulename> -v <moduleversion> -k 2.6.28-11-vserver
  
=== Repository ===
+
== Intrepid ==
You can add the following key to your apt keyring:
+
Kernel Version: 2.6.27
  
<nowiki>sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com BB9BFB5B</nowiki>
+
Vserver patch: 2.3.0.36.4
  
Add the following line to your sources.list:
+
Status: experimental
 
+
deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu jaunty main
+
deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu jaunty main
+
 
+
=== Installation ===
+
 
+
aptitude update
+
aptitude install linux-image-vserver linux-headers-vserver util-vserver
+
 
+
== Intrepid ==
+
Intrepid ships with kernel version 2.6.27. As of now (28.3.2009) there are only experimental patches available for this kernel version.
+
 
+
I have adapted version 2.3.0.36.4 of the vserver patch to the Intrepid kernel sources. These images should be considered '''experimental'''.
+
  
 
The util-vserver package from intrepid seems to be broken (see: [https://bugs.launchpad.net/ubuntu/+source/util-vserver/+bug/338390 Ubuntu Bug]), therefore I have rebuild the jaunty version for intrepid. This version ships with unstripped binaries due to another [https://bugs.launchpad.net/ubuntu/+source/dietlibc/+bug/254790 Ubuntu Bug].
 
The util-vserver package from intrepid seems to be broken (see: [https://bugs.launchpad.net/ubuntu/+source/util-vserver/+bug/338390 Ubuntu Bug]), therefore I have rebuild the jaunty version for intrepid. This version ships with unstripped binaries due to another [https://bugs.launchpad.net/ubuntu/+source/dietlibc/+bug/254790 Ubuntu Bug].
 
=== Packages ===
 
The following packages are available for i386 and amd64:
 
 
* linux-headers-2.6.27-11-vserver
 
* linux-headers-vserver
 
* linux-image-2.6.27-11-vserver
 
* linux-image-vserver
 
* linux-restricted-modules-2.6.27-11-vserver
 
* linux-vserver
 
* util-vserver
 
  
 
=== Known Limitations ===
 
=== Known Limitations ===
Line 70: Line 59:
 
** CONFIG_AUFS has been disabled
 
** CONFIG_AUFS has been disabled
  
=== Repository ===
+
== Repository ==
 
You can add the following key to your apt keyring:
 
You can add the following key to your apt keyring:
  
 
  <nowiki>sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com BB9BFB5B</nowiki>
 
  <nowiki>sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com BB9BFB5B</nowiki>
 +
 +
=== Lucid ===
  
 
Add the following line to your sources.list:
 
Add the following line to your sources.list:
  
  deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu intrepid main
+
  deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu lucid main
  deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu intrepid main
+
  deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu lucid main
  
=== Installation ===
+
=== Karmic ===
  
aptitude update
+
Add the following line to your sources.list:
aptitude install linux-image-vserver linux-headers-vserver util-vserver
+
  
== Hardy ==
+
deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu karmic main
Hardy ships with kernel version 2.6.24 which is not officially supported by Linux-VServer due to the major changes made in this kernel version.
+
deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu karmic main
  
Nevertheless I have adapted version 2.0.0.5.0.7 of the vserver patch to the Hardy kernel sources. We have run those patched kernels for about a year now without any problems on our desktop systems.
+
=== Jaunty ===
  
=== Packages ===
+
Add the following line to your sources.list:
The following packages are available for i386 and amd64:
+
  
* linux-headers-2.6.24-23-vserver
+
deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu jaunty main
* linux-headers-lum-2.6.24-23-vserver
+
deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu jaunty main
* linux-headers-vserver
+
* linux-image-2.6.24-23-vserver
+
* linux-image-vserver
+
* linux-restricted-modules-2.6.24-23-vserver
+
* linux-restricted-modules-vserver
+
* linux-ubuntu-modules-2.6.24-23-vserver
+
* linux-vserver
+
  
=== Known Limitations ===
+
=== Intrepid ===
* linux-image
+
** CONFIG_OCFS2_FS has been disabled
+
 
+
* linux-ubuntu-modules
+
** CONFIG_AUFS, CONFIG_GFS_FS, CONFIG_SQUASHFS, CONFIG_DMRAID45 have been disabled
+
 
+
=== Repository ===
+
You can add the following key to your apt keyring:
+
 
+
<nowiki>sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com BB9BFB5B</nowiki>
+
  
 
Add the following line to your sources.list:
 
Add the following line to your sources.list:
  
  deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu hardy main
+
  deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu intrepid main
  deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu hardy main
+
  deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu intrepid main
  
 
+
== Installation ==
=== Installation ===
+
  
 
  aptitude update
 
  aptitude update
 
  aptitude install linux-image-vserver linux-headers-vserver util-vserver
 
  aptitude install linux-image-vserver linux-headers-vserver util-vserver
 +
 +
== Running Ubuntu vservers ==
 +
 +
If you are running Ubuntu vservers you may be interrested by the following page dealing with [[Upstart_issues|Upstart issues]] specially with karmic and superior versions.
  
 
== Useful Links ==
 
== Useful Links ==
Line 134: Line 109:
 
* http://www.howtoforge.com/linux_vserver_debian
 
* http://www.howtoforge.com/linux_vserver_debian
 
* http://linux.gyakg.u-szeged.hu/~pasztor/ubuntu-vs/
 
* http://linux.gyakg.u-szeged.hu/~pasztor/ubuntu-vs/
 +
 +
[[Category:Installation]]

Revision as of 20:13, 21 October 2011

Contents

Disclaimer

If you are running a system in production you should probably consider building your own kernel based on the vanilla kernel source as described here: Installation_on_Linux_2.6

The binary kernel images provided here are neither official ubuntu nor official Linux-VServer kernel images.

If you have any problems with those kernels please send a mail to the VServer mailinglist and please do not file any bugs on the ubuntu bugtracker.

If you are interested in a different kernel config or have prepared a patch for newer kernels, do not hesitate to contact the VServer mailinglist.

Lucid

Kernel Version: 2.6.32

Vserver patch: 2.3.0.36.29.4

Status: experimental

Known Limitations

  • linux-image
    • CONFIG_AUFS has been disabled

Karmic

Kernel Version: 2.6.31

Vserver patch: 2.3.0.36.19

Status: experimental

Known Limitations

  • linux-image
    • CONFIG_AUFS has been disabled

Jaunty

Kernel Version: 2.6.28

Vserver patch: 2.3.0.36.9

Status: experimental

Known Limitations

  • linux-image
    • CONFIG_AUFS has been disabled
  • linux-headers
    • Up to version 2.6.28-11.42~ppa1 the linux-headers package was broken which broke external modules built manually or via dkms (nvidia, virtualbox). If you are experiencing problems with one of those modules please update to the latest package version and rebuild the modules. For modules built via dkms this can be done with:
dkms remove -m <modulename> -v <moduleversion> -k 2.6.28-11-vserver
dkms build -m <modulename> -v <moduleversion> -k 2.6.28-11-vserver
dkms install -m <modulename> -v <moduleversion> -k 2.6.28-11-vserver

Intrepid

Kernel Version: 2.6.27

Vserver patch: 2.3.0.36.4

Status: experimental

The util-vserver package from intrepid seems to be broken (see: Ubuntu Bug), therefore I have rebuild the jaunty version for intrepid. This version ships with unstripped binaries due to another Ubuntu Bug.

Known Limitations

  • linux-image
    • CONFIG_AUFS has been disabled

Repository

You can add the following key to your apt keyring:

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com BB9BFB5B

Lucid

Add the following line to your sources.list:

deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu lucid main
deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu lucid main

Karmic

Add the following line to your sources.list:

deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu karmic main
deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu karmic main

Jaunty

Add the following line to your sources.list:

deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu jaunty main
deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu jaunty main

Intrepid

Add the following line to your sources.list:

deb http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu intrepid main
deb-src http://ppa.launchpad.net/christoph-lukas/ppa/ubuntu intrepid main

Installation

aptitude update
aptitude install linux-image-vserver linux-headers-vserver util-vserver

Running Ubuntu vservers

If you are running Ubuntu vservers you may be interrested by the following page dealing with Upstart issues specially with karmic and superior versions.

Useful Links

Personal tools